javax.print.attribute.standard

## Class PrinterName

- java.lang.Object
- - javax.print.attribute.TextSyntax
  - - javax.print.attribute.standard.PrinterName

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, PrintServiceAttribute

    public final class PrinterName
    extends TextSyntax
    implements PrintServiceAttribute

Class PrinterName is a printing attribute class, a text attribute, that specifies the name of a printer. It is a name that is more end-user friendly than a URI. An administrator determines a printer's name and sets this attribute to that name. This name may be the last part of the printer's URI or it may be unrelated. In non-US-English locales, a name may contain characters that are not allowed in a URI.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PrinterName(String printerName, Locale locale)` Constructs a new printer name attribute with the given name and locale.

### Method Summary

Methods
`boolean` `equals(Object object)` Returns whether this printer name attribute is equivalent to the passed in object.
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` `getName()` Get the name of the category of which this attribute value is an instance.

### Methods inherited from class javax.print.attribute.TextSyntax

`getLocale, getValue, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrinterName

    public PrinterName(String printerName,
               Locale locale)

Constructs a new printer name attribute with the given name and locale.

Parameters:
  `printerName` - Printer name.
  `locale` - Natural language of the text string. null is interpreted to mean the default locale as returned by `Locale.getDefault()`
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `printerName` is null.

### Method Detail

#### equals

    public boolean equals(Object object)

Returns whether this printer name attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not null.
2. `object` is an instance of class PrinterName.
3. This printer name attribute's underlying string and `object`'s underlying string are equal.
4. This printer name attribute's locale and `object`'s locale are equal.

Overrides:
  `equals` in class `TextSyntax`
Parameters:
  `object` - Object to compare to.
Returns:
  True if `object` is equivalent to this printer name attribute, false otherwise.
See Also:
  `Object.hashCode()`, `Hashtable`

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class PrinterName, the category is class PrinterName itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class PrinterName, the category name is `"printer-name"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.